org.apache.http.nio.protocol

## Interface NHttpRequestHandlerResolver

All Known Implementing Classes:
  NHttpRequestHandlerRegistry

Deprecated.
(4.2) use `HttpAsyncRequestHandlerResolver`

    @Deprecated
    public interface NHttpRequestHandlerResolver

HttpRequestHandlerResolver can be used to resolve an instance of `NHttpRequestHandler` matching a particular request URI. Usually the resolved request handler will be used to process the request with the specified request URI.

Since:
  4.0

### Method Summary

Methods
`NHttpRequestHandler` `lookup(String requestURI)` Deprecated. Looks up a handler matching the given request URI.

### Method Detail

#### lookup

    NHttpRequestHandler lookup(String requestURI)

Deprecated.
Looks up a handler matching the given request URI.

Parameters:
  `requestURI` - the request URI
Returns:
  HTTP request handler or `null` if no match is found.